nn.pp.rccore

## Class VideoSettings.VideoSettingIntegerReadOnly

- java.lang.Object
- - nn.pp.rccore.VideoSettings.VideoSetting
  - - nn.pp.rccore.VideoSettings.VideoSettingIntegerReadOnly

- All Implemented Interfaces:
    IVideoSettings.IVideoSetting, IVideoSettings.IVideoSettingIntegerReadOnly
  Direct Known Subclasses:
    VideoSettings.VideoSettingInteger
  Enclosing class:
    VideoSettings

      public class VideoSettings.VideoSettingIntegerReadOnly
      extends VideoSettings.VideoSetting
      implements IVideoSettings.IVideoSettingIntegerReadOnly

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoSettingIntegerReadOnly()`
    `VideoSettingIntegerReadOnly(IVideoSettings.IVideoSettingIntegerReadOnly setting)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Get the value of the setting
    `void` | `setValue(int value)` Set the value of the setting
    `java.lang.String` | `toString()`

    - ### Methods inherited from class nn.pp.rccore.VideoSettings.VideoSetting

      `isSupported, setSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface nn.pp.rccore.IVideoSettings.IVideoSetting

      `isSupported, setSupported`

- - ### Constructor Detail

    - #### VideoSettingIntegerReadOnly

          public VideoSettingIntegerReadOnly()

    - #### VideoSettingIntegerReadOnly

          public VideoSettingIntegerReadOnly(IVideoSettings.IVideoSettingIntegerReadOnly setting)

  - ### Method Detail

    - #### getValue

          public int getValue()

      Description copied from interface: `IVideoSettings.IVideoSettingIntegerReadOnly`
      Get the value of the setting
      Specified by:
        `getValue` in interface `IVideoSettings.IVideoSettingIntegerReadOnly`
      Returns:
        the value of the setting

    - #### setValue

          public void setValue(int value)

      Description copied from interface: `IVideoSettings.IVideoSettingIntegerReadOnly`
      Set the value of the setting
      Specified by:
        `setValue` in interface `IVideoSettings.IVideoSettingIntegerReadOnly`
      Parameters:
        `value` - the value of the setting

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2025 Raritan Inc. All Rights Reserved.